Bug 125837 - Oops when modifying LVM snapshot
Oops when modifying LVM snapshot
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-11 22:22 EDT by Damian Menscher
Modified: 2007-04-18 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-14 12:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
syslog showing first oops (3.42 KB, text/plain)
2004-06-11 22:24 EDT, Damian Menscher
no flags Details
syslog showing second oops (3.18 KB, text/plain)
2004-06-11 22:25 EDT, Damian Menscher
no flags Details

  None (edit)
Description Damian Menscher 2004-06-11 22:22:11 EDT
Description of problem:
I'm running RedHat 9 fully patched (2.4.20-31.9smp) with mostly 
default settings.  In order to get consistent backups with dump(1), I 
take advantage of LVM snapshots (lvm-1.0.3-12).  I have nightly 
backups to a remote tapedrive, and disk-to-disk backups a few times 
during the day.  It works pretty well, usually.  But then there's the 
occasional kernel crash.  :(

The first time this happened, the server (astro) was under fairly 
high load, as a result of a memory-intensive program causing the 
machine to swap.  While that was going on, my 18:00 backups ran, and 
the LVM module gave an Oops, leaving the machine unusable.

I chalked it up a rare event due to the extreme load the machine was
experiencing (I think the load was above 10 at the time, and it was
using a full gig of swap), and went on with life.  But it just 
happened again, when nobody was on the server, during my 12:00 

Debugging kernel crashes is slightly beyond my skill level, but I 
wanted to report the problem.  I can provide additional information 
if needed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create/destroy LVM snapshot during heavy disk activity
Comment 1 Damian Menscher 2004-06-11 22:24:23 EDT
Created attachment 101077 [details]
syslog showing first oops
Comment 2 Damian Menscher 2004-06-11 22:25:24 EDT
Created attachment 101078 [details]
syslog showing second oops
Comment 3 Dave Jones 2004-06-14 12:03:33 EDT
RHL9 reached end of life last April.

Note You need to log in before you can comment on or make changes to this bug.